Bug 402821 - Review Request: phpwapmail - WAP-based e-mail client
Review Request: phpwapmail - WAP-based e-mail client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 09:24 EST by Dmitry Butskoy
Modified: 2012-02-13 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 12:47:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2007-11-28 09:24:33 EST
Spec URL: http:://dmitry.butskoy.name/phpwapmail/phpwapmail.spec
SRPM URL: http:://dmitry.butskoy.name/phpwapmail/phpwapmail-0.9.2-0.src.rpm

Description:

phpWAPmail is a WAP-based e-mail client. It is intended for providing access
to e-mail servers from cellular phones using WAP browser.

phpWAPmail is written in PHP and uses standard PHP imap module to operate
with mailboxes. It is placed on a web-server and acts as a proxy between
cellular users and mail servers. This way it can provide faster access
to the mailboxes rather than built-in e-mail clients and less network traffic.
Comment 1 Dmitry Butskoy 2007-11-28 09:26:20 EST
Certainly an extra ':' ... :)

Spec URL: http://dmitry.butskoy.name/phpwapmail/phpwapmail.spec
SRPM URL: http://dmitry.butskoy.name/phpwapmail/phpwapmail-0.9.2-0.src.rpm

Comment 2 Jon Ciesla 2007-12-05 22:12:56 EST
rpmlint:
phpwapmail.src: W: mixed-use-of-spaces-and-tabs (spaces: line 81, tab: line 52)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Minor

phpwapmail.noarch: E: non-standard-gid /etc/phpwapmail/config.php apache
A file in this package is owned by a non standard group.
Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail,
news, uucp, man, games, gopher, dip, ftp, lock, nobody, users

phpwapmail.noarch: E: non-readable /etc/phpwapmail/config.php 0640
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

Probably fine.

More to follow.
Comment 3 Jon Ciesla 2007-12-05 22:22:13 EST
On install attempt:
[root@fawkes SPECS]# rpm -ivh ../RPMS/noarch/phpwapmail-0.9.2-0.fc8.noarch.rpm 
Preparing...                ########################################### [100%]
   1:phpwapmail             ########################################### [100%]
sed: -e expression #1, char 34: unknown option to `s'
error: %post(phpwapmail-0.9.2-0.fc8.noarch) scriptlet failed, exit status 1
Comment 4 Dmitry Butskoy 2007-12-06 08:41:14 EST
> either spaces or tabs for indentation

It seems some kind of too extra requirement... :)  I prefer to not follow it,
because I try to create .spec files "good readable" under uncient Linux console
or even a dumb terminal. Using 4-space steps for indentation is good for this
purpose. And then I prefer to use "one tab" instead of "8 spaces" for the
"two-step" indentation... 

> non-standard-gid /etc/phpwapmail/config.php apache
> A file in this package is owned by a non standard group.

This package is intended for using under Apache and mod_php, i.e. "httpd"+"php"
Try rpmlint for the current "httpd" package. Your comments?... :)

> non-readable /etc/phpwapmail/config.php 0640

Yep, it is for security.


> sed: -e expression #1, char 34: unknown option to `s'

I cannot reproduce this... Could you obtain a full "sed" command string? (For
example, re-build the package under your environment, adding "echo" before the
"sed" command. This way the full "sed" command string will be just printed, not
executed, and we'll see whats going on...)
Comment 5 Jon Ciesla 2007-12-09 21:32:32 EST
> It seems some kind of too extra requirement... :)  I prefer to not follow it,
> because I try to create .spec files "good readable" under uncient Linux console
> or even a dumb terminal. Using 4-space steps for indentation is good for this
> purpose. And then I prefer to use "one tab" instead of "8 spaces" for the
> "two-step" indentation... 

It's not telling you which to use, it wants you to use 1 or the other.  The
error tells you the first place you have a tab if the first part has spaces, or
vice versa.  Very helpful in fixing it, actually.

> This package is intended for using under Apache and mod_php, i.e. "httpd"+"php"
> Try rpmlint for the current "httpd" package. Your comments?... :)

Agreed.  I say leave it alone, like I did in some of my packages for webapps. :)

> Yep, it is for security.

Agreed.

> I cannot reproduce this... Could you obtain a full "sed" command string? (For
> example, re-build the package under your environment, adding "echo" before the
> "sed" command. This way the full "sed" command string will be just printed, not
> executed, and we'll see whats going on...)

On the second install, it didn't occur, so I commented out the if block.  I got
this:
sed -i -e /$SECRET = "";/ s/"";/"Mb0j4md+4azjZMCB";  # Autogenerated for
fawkes.local/ /etc/phpwapmail/config.php

Afterward, I uncommented and tried again and it's fine.


Tried it on another machine in case it was a fresh install issue, no luck. 
Never mind.  I'll proceed. . .
Comment 6 Jon Ciesla 2007-12-09 21:55:13 EST
Did a complete review, and it checks out. Fix the tab/spaces issue and you're
set.  Just change the tabs that start lines 52 and 54 to spaces.
Comment 7 Dmitry Butskoy 2007-12-10 06:25:27 EST
Well,

update it for tab/space issue, see in the same location (I didn't bump release
for a while...)

> Tried it on another machine in case it was a fresh install issue, no luck.

No luck in what? :)

In other words, can you reproduce the issue mentioned in the comment #3 ?
Comment 8 Jon Ciesla 2007-12-10 07:18:32 EST
> In other words, can you reproduce the issue mentioned in the comment #3 ?

I was not able to reproduce it.  I suspect it might have been some sort of sh
syntax error caused by the hash generated by the %post script.  On each run, it
could be different.  If that is the cause, then it's not likely to happen too
often and isn't a blocker.  It could also have been oddness on my machine.

Either way, as everything else looks good, 

APPROVED.
Comment 9 Dmitry Butskoy 2007-12-10 07:33:50 EST
Oh, I've understood -- besides the [0-9a-zA-Z], base64 use "+" and "/", and this
"/" spoils the sed command. I'll use "|" for sed instead.
Comment 10 Jon Ciesla 2007-12-10 07:37:25 EST
Thought it might be something like that.
Comment 11 Dmitry Butskoy 2007-12-10 08:27:33 EST
New Package CVS Request
=======================
Package Name: phpwapmail
Short Description: WAP-based e-mail client
Owners: buc
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-12-10 11:59:27 EST
cvs done.
Comment 13 Dmitry Butskoy 2012-02-13 07:04:18 EST
Package Change Request
======================
Package Name: phpwapmail
New Branches: el5 el6
Owners: buc
Comment 14 Jon Ciesla 2012-02-13 09:49:08 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.